#!/bin/bash

PATH=$PATH:/usr/bin/:/usr/local/bin/:/usr/sbin
dataCenterPath=$1
profile=$2

function startModule()
{
  moduleName=$1
  if [ ! -f jars/"$moduleName".jar ];then
    echo startDtaCenter 文件 $(pwd)/jars/${moduleName} 不存在1!
    exit 0
  fi

  #${JAVA_HOME}bin/java -Xms256m -Xmx512m -Xss512K -Dspring.profiles.active=${profile} -Dspring.config.location=file:${dataCenterPath}/config/ -jar jars/${moduleName}.jar &
  ${JAVA_HOME}/bin/java -Dspring.profiles.active=${profile} -jar jars/${moduleName}.jar &
  # > logs/${moduleName}.log &
  echo "${!}" > pids/base/${moduleName}.pid
  sleep 1
}

function main(){
  cd ${dataCenterPath}
  startModule zlt-uaa
  startModule user-center
  startModule sc-gateway
  startModule back-web
}

main


